LogHarbour: logging - Task #18066

Go lib: GetLogs()
01/03/2024 05:44 PM - Shuvam Misra

Status: Closed Start date:

Priority: Normal Due date: 15/03/2024
Assignee: Tushar Bhingare % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 15 Mar

Description

Write the Go function which directly connects to the ElasticSearch database and extracts the log entries as requested.

Related issues:

Precedes LogHarbour: logging - Task #17937: WSC: show_activitylog()
Precedes LogHarbour: logging - Task #17935: WSC: show_highprilog()
Precedes LogHarbour: logging - Task #17933: WSC: show_debuglog()

Closed 18/03/2024 18/03/2024
Closed 18/03/2024 18/03/2024
Closed 18/03/2024 18/03/2024

Associated revisions

Revision 1a2741e8 - 11/03/2024 12:50 PM - Tushar Bhingare

refs : #18066-Create Docker container for Elasticsearch with test data insertion

Revision 58d0982a - 11/03/2024 12:52 PM - Tushar Bhingare

Merge pull request #26 from remiges-Tushar/wsc

refs : #18066-Create Docker container for Elasticsearch with test data insertion

History

#1 - 01/03/2024 05:58 PM - Shuvam Misra

- Precedes Task #17937: WSC: show_activitylog() added

#2 - 01/03/2024 05:59 PM - Shuvam Misra

- Precedes Task #17935: WSC: show _highprilog() added

#3 - 01/03/2024 05:59 PM - Shuvam Misra

- Precedes Task #17933: WSC: show_debuglog() added

#4 - 04/03/2024 11:16 AM - Tushar Bhingare

- Assignee set to Tushar Bhingare

#5 - 04/03/2024 11:16 AM - Tushar Bhingare

- Status changed from New to In Progress

#6 - 04/03/2024 07:11 PM - Tushar Bhingare
- % Done changed from 0 to 20

¢ built the function getLogs() and obtained the desired outcome.
¢ | have to work on the data section of the change log.

#7 - 05/03/2024 07:35 PM - Tushar Bhingare
- % Done changed from 20 to 30

made a helper function to create queries for getLogs(). improve FromTs, Tots, and Days validation. There is a runtime error that needs to be fixed

when using range with terms.

#8 - 06/03/2024 06:50 PM - Tushar Bhingare
- % Done changed from 30 to 50

¢ Fixed the range error

¢ Since filters execute faster, replace must queries with them.
e Include a filter for priorities, only logs of priority equal to or higher than the value will be returned

#9 - 07/03/2024 06:49 PM - Tushar Bhingare

attempted to run a docker test for the getLogs() construct structure but encountered some connection issues

#10 - 08/03/2024 06:00 PM - Shuvam Misra

- Status changed from In Progress to Testing

#11 - 11/03/2024 07:01 PM - Tushar Bhingare
- % Done changed from 50 to 90

For the following cases, create automated unit test cases.

Acquire Logs for Each Filter Parameter

Time stamp-based and number of days-based Logs
Obtain Logs Using SearchAfterTS

with no filter Parameter

#12 - 12/03/2024 01:08 PM - Tushar Bhingare
- % Done changed from 90 to 100

- Status changed from Testing to Closed
